
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 *  ask the GUI for the last event. the different events are defined
 *  in libraries/installergui.h and set by the igui_QuietWaitApp()
 *  function. you (or the InstallerNG itself) can clear the event by
 *  calling igui_ClearGUIEvent()
 *
 *  IN:  application - pointer to the private application structure
 *
 *  OUT: the last event
 *
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

long __asm igui_GetGUIEvent(register __a0 APTR application)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  return (((struct Application *) application)->app_CurrentGUIEvent);
}
