
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 *  returns the name of the screen, on which the InstallerNG is
 *  running on. since this simple GUI does not support a custom
 *  screen for the InstallerNG, it always returns the name of the
 *  workbench screen. the InstallerNG uses this function to open
 *  its console windows on special screens, so be prepared to
 *  return correct values!
 *
 *  IN:  application - pointer to the private application structure
 *  OUT: the screen name of the InstallerNG gui
 *
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

static char *wbName = "Workbench";

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

char * __asm igui_GetScreenName(register __a0 APTR application)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  return (wbName);
}
