
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

void __asm igui_SetCopyGauge(register __a0 APTR application,
                             register __a1 char *srcfile,
                             register __a2 char *destfile,
                             register __d0 long done)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  {
    struct Application *app = (struct Application *) application;
    long winstate;

    // if the gauge is currently closed, we have to open it
    GetAttr(MUIA_Window_Open, app->app_GaugeWindow, (ULONG *) &winstate);
    if (!winstate) { set(app->app_GaugeWindow, MUIA_Window_Open, TRUE); }

    // set the current values
    set(app->app_GaugeSrc, MUIA_Text_Contents, srcfile);
    set(app->app_GaugeDest, MUIA_Text_Contents, destfile);
    set(app->app_GaugeGauge, MUIA_Gauge_Current, done);

    // refresh the window
    guistuff_Refresh(app);
  }
}