
#ifndef SAVAGE_GUICONTEXT_H
#define SAVAGE_GUICONTEXT_H

#include <exec/types.h>
#include <intuition/intuition.h>
#include <graphics/text.h>

struct GUIContext
{
  struct Screen     *gc_Screen;
  struct DrawInfo   *gc_DrawInfo;
  struct TextFont   *gc_TextFont;
  struct TextFont   *gc_FixedFont;
  struct TextFont   *gc_TopazFont;
  struct TextFont   *gc_UserFont;
  struct TextExtent  gc_TextExtend;
  struct TextAttr   *gc_TextAttr;
  UWORD             *gc_Pens;
  struct VisualInfo *gc_VisualInfo;
};

#endif

