
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

void __asm igui_Bye(register __a0 APTR application,
                    register __a1 char *appname,
                    register __a2 char *defaultdest)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  {
    struct Application *app = (struct Application *) application;
    char *byetext;

    long args[4];
    args[0] = (long) appname;
    args[1] = (long) defaultdest;

    if (app->app_GlobalEnv[GENV_LOG] == LOG_FILE)
    {
      args[2] = (long) "\n\nInstallation log: ";
      args[3] = app->app_GlobalEnv[GENV_LOGFILENAME];
    }
    else
    {
      args[2] = args[3] = (long) app->app_Texts[EMPTY];
    }

    byetext = sav_StringF2(app->app_Texts[BYE], &args);
    if (byetext)
    {
      // die button texte setzen
      if (!app->app_SWING_Mode) { igui_NameCancel(app, (char *) app->app_GlobalEnv[GENV_ABORT_BUTTON]); }
      igui_NameProceed(app, app->app_Texts[BUTTON_FINISH]);

      if (guistuff_NewContent(app, guistuff_InitSimpleText(byetext)))
      {
        igui_WaitApp(app);
      }
      else { /* NO GUI OBJECT */ }
    }
    else { /* OUT OF MEMORY */ }

    // done... leave with an empty panel
    igui_EmptyPanel(app);
  }
}

