
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 *  if anywhere in te gui an error occures, then the gui has to
 *  store this error; using this function, the installer asks
 *  the gui, if an error occured
 *
 *  IN:  application - pointer to the private application structure
 *  OUT: GUIERROR_NOERROR, if no error happened, otherwise an
 *       special error-code (see gui.h)
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

long __asm igui_Error(register __a0 APTR application)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  return (((struct Application *) application)->app_Error);
}
