
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 *  set the text of the "Abort Installation" button to an other one.
 *  this is called when the InstallerNG enters a SWING environment or
 *  when the script sets the @abort-button variable
 *
 *  IN:  application - pointer to the private application structure
 *       text - the new text for the button
 *  OUT: -
 *
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

void __asm igui_NameCancel(register __a0 APTR application, register __a1 char *text)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  // change the button text of the "Cancel" button
  SetAttrs(((struct Application *) application)->app_ButtonCancel, MUIA_Text_Contents, text, TAG_DONE);
}
