
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 *  tells, whether the one wants to quit the installer
 *  or not; this depends on the gui and its abilities to "quit"
 *  by a close-gadget, a menu or whatever
 *
 *  IN:  application - pointer to the private application structure
 *  OUT: TRUE, if the user wants to quit the installer, FALSE otherwise
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

BOOL __asm igui_QuitApp(register __a0 APTR application)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  return ((BOOL) ((struct Application *) application)->app_Quit);
}
