
#include "includes.h"
#include "installergui_data.h"

/********************************************************************
 *
 *  DESCRIPTION
 *
 *  just show a simple text, which informs the user, that the
 *  installer is currently working (see the WORKING documentation)
 *
 *  IN:  application - pointer to the private application structure
 *       text - the working text
 *  OUT: -
 *
 */

/********************************************************************
 *
 *  STATIC
 *
 */

/********************************************************************
 *
 *  EXTERN
 *
 */

/********************************************************************
 *
 *  PUBLIC
 *
 */

/********************************************************************
 *
 *  CODE
 *
 */

void __asm igui_Working(register __a0 APTR application,
                        register __a1 char *text)
{
  #ifdef DEBUG
  DEBUG_MAKRO
  #endif

  guistuff_NewContent(application, guistuff_InitSimpleText(text));
}
