#ifndef INSTALLERNG_GUILIB_INCLUDES_H
#define INSTALLERNG_GUILIB_INCLUDES_H

#include <dos/dos.h>
#include <dos/dostags.h>
#include <dos/filehandler.h>
#include <dos/stdio.h>
#include <dos/exall.h>
#include <dos/var.h>
#include <exec/types.h>
#include <exec/memory.h>
#include <exec/lists.h>
#include <exec/nodes.h>
#include <exec/libraries.h>
#include <exec/ports.h>
#include <exec/resident.h>
#include <exec/semaphores.h>
#include <libraries/mui.h>
#include <libraries/locale.h>
#include <libraries/asl.h>
#include <libraries/gadtools.h>
#include <libraries/expansion.h>
#include <libraries/configregs.h>
#include <libraries/configvars.h>
#include <libraries/installergui.h>
#include <workbench/workbench.h>
#include <workbench/startup.h>
#include <utility/tagitem.h>
#include <rexx/storage.h>
#include <savage/filetype.h>
#include <savage/macros.h>
#include <savage/sysinfo.h>

#include <proto/exec.h>
#include <proto/dos.h>
#include <proto/muimaster.h>
#include <proto/locale.h>
#include <proto/icon.h>
#include <proto/utility.h>
#include <proto/wb.h>
#include <proto/asl.h>
#include <proto/expansion.h>
#include <proto/rexxsyslib.h>
#include <proto/intuition.h>

#include <proto/installergui.h>
//#include <clib/installergui_protos.h>

#include <clib/alib_protos.h>
#include <clib/savage_protos.h>
#include <clib/debuglib_protos.h>

#endif

