
#ifndef INSTALLERNG_MODULE_BASE_H
#define INSTALLERNG_MODULE_BASE_H

/*
**  $VER: installerngmodule_base.h 37.0 (12.06.2000)
**  (C) by Jens Trger
**
*/

#include <exec/libraries.h>

#ifndef MAKE_ID
#define MAKE_ID(a,b,c,d) ((ULONG) (a)<<24 | (ULONG) (b)<<16 | (ULONG) (c)<<8 | (ULONG) (d))
#endif

// this magic constant identifies an arbitrary library as an installerNG module
#define INSTALLERNGMODULE_MAGIC MAKE_ID('I','N','G','M')

// the module base
struct InstallerNGModuleBase
{
  struct Library ingm_Library;  // the library structure itself
  ULONG          ingm_Magic;    // the magic constant
};

// StormC need this #pragma to determine the size of the library base
#ifdef __STORMC__
#ifdef __LINKMODULELIBRARY__
#pragma libbase InstallerNGModuleBase
#endif
#endif

#endif


